Skip to main content
GET
cURL

Authorizations

Authorization
string
header
default:ShippoToken
required

API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123

Headers

SHIPPO-API-VERSION
string
default:2018-02-08

Optional string used to pick a non-default API version to use. See our API version guide.

Example:

"2018-02-08"

SHIPPO-ACCOUNT-ID
string

Optional. The object ID of a Managed Shippo Account. Platform accounts set this to make the request on behalf of one of their managed accounts. See the Platform accounts guide.

Path Parameters

RefundId
string
required

Object ID of the refund to update

Response

Refund

object_created
string<date-time>

Date and time of object creation.

object_id
string

Unique identifier of the given object.

Example:

"adcfdddf8ec64b84ad22772bce3ea37a"

object_owner
string

Username of the user who created the object.

Example:

"shippotle@shippo.com"

object_updated
string<date-time>

Date and time of last object update.

status
enum<string>

Indicates the status of the Refund.

Available options:
QUEUED,
PENDING,
SUCCESS,
ERROR
Example:

"SUCCESS"

test
boolean

Indicates whether the object has been created in test mode.

transaction
string

Object ID of the Transaction to be refunded.

Example:

"915d94940ea54c3a80cbfa328722f5a1"